Browse Source

Sync with portage [Mon Jul 16 16:46:09 MSK 2018].

mhiretskiy 1179
root 4 years ago
parent
commit
565fd5fc64
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 2
      app-admin/apache-tools/Manifest
  4. 106
      app-admin/apache-tools/apache-tools-2.4.29.ebuild
  5. 105
      app-admin/apache-tools/apache-tools-2.4.34.ebuild
  6. 3
      app-admin/consul/Manifest
  7. 68
      app-admin/consul/consul-0.9.3.ebuild
  8. 68
      app-admin/consul/consul-1.0.0.ebuild
  9. 69
      app-admin/consul/consul-1.2.1.ebuild
  10. 2
      app-admin/gam-server/gam-server-0.1.10-r2.ebuild
  11. 2
      app-admin/gamin/gamin-0.1.10-r1.ebuild
  12. 3
      app-admin/logstash-bin/Manifest
  13. 37
      app-admin/logstash-bin/files/logstash.confd-r2
  14. 69
      app-admin/logstash-bin/files/logstash.initd-r2
  15. 6
      app-admin/logstash-bin/files/pipelines.yml
  16. 77
      app-admin/logstash-bin/logstash-bin-5.6.10.ebuild
  17. 78
      app-admin/logstash-bin/logstash-bin-5.6.9.ebuild
  18. 75
      app-admin/logstash-bin/logstash-bin-6.3.1.ebuild
  19. 2
      app-admin/puppet/puppet-5.5.2.ebuild
  20. 1
      app-admin/rasdaemon/Manifest
  21. 46
      app-admin/rasdaemon/rasdaemon-0.6.0-r1.ebuild
  22. 39
      app-admin/rasdaemon/rasdaemon-0.6.0.ebuild
  23. 47
      app-admin/rasdaemon/rasdaemon-0.6.1-r1.ebuild
  24. 46
      app-admin/rasdaemon/rasdaemon-0.6.1.ebuild
  25. 45
      app-admin/rsyslog/files/8-stable/rsyslog-r1.logrotate
  26. 467
      app-admin/rsyslog/rsyslog-8.35.0-r1.ebuild
  27. 467
      app-admin/rsyslog/rsyslog-8.35.0.ebuild
  28. 476
      app-admin/rsyslog/rsyslog-8.36.0-r1.ebuild
  29. 476
      app-admin/rsyslog/rsyslog-8.36.0.ebuild
  30. BIN
      app-antivirus/Manifest.gz
  31. 173
      app-antivirus/clamtk/clamtk-5.25-r1.ebuild
  32. 15
      app-antivirus/clamtk/files/change_icon_path.patch
  33. BIN
      app-arch/Manifest.gz
  34. 114
      app-arch/bzip2/bzip2-1.0.6-r8.ebuild
  35. 2
      app-arch/bzip2/bzip2-1.0.6-r9.ebuild
  36. 1
      app-arch/tar/Manifest
  37. 194
      app-arch/tar/files/tar-1.29-add-files.patch
  38. 60
      app-arch/tar/files/tar-1.29-extract-pathname-bypass-upstream.patch
  39. 27
      app-arch/tar/files/tar-1.29-extract-pathname-bypass.patch
  40. 80
      app-arch/tar/tar-1.29-r1.ebuild
  41. 81
      app-arch/tar/tar-1.29-r3.ebuild
  42. 2
      app-arch/tar/tar-1.30.ebuild
  43. BIN
      app-backup/Manifest.gz
  44. 4
      app-backup/cdbackup/cdbackup-0.7.1-r1.ebuild
  45. BIN
      app-crypt/Manifest.gz
  46. 2
      app-crypt/acme/Manifest
  47. 47
      app-crypt/acme/acme-0.23.0.ebuild
  48. 48
      app-crypt/acme/acme-0.25.0.ebuild
  49. 2
      app-crypt/acme/acme-0.25.1.ebuild
  50. 2
      app-crypt/certbot-apache/Manifest
  51. 38
      app-crypt/certbot-apache/certbot-apache-0.23.0.ebuild
  52. 38
      app-crypt/certbot-apache/certbot-apache-0.25.0.ebuild
  53. 2
      app-crypt/certbot-apache/certbot-apache-0.25.1.ebuild
  54. 2
      app-crypt/certbot-nginx/Manifest
  55. 34
      app-crypt/certbot-nginx/certbot-nginx-0.23.0.ebuild
  56. 34
      app-crypt/certbot-nginx/certbot-nginx-0.25.0.ebuild
  57. 2
      app-crypt/certbot-nginx/certbot-nginx-0.25.1.ebuild
  58. 2
      app-crypt/certbot/Manifest
  59. 53
      app-crypt/certbot/certbot-0.23.0.ebuild
  60. 53
      app-crypt/certbot/certbot-0.25.0.ebuild
  61. 2
      app-crypt/certbot/certbot-0.25.1.ebuild
  62. 1
      app-crypt/gnupg/Manifest
  63. 130
      app-crypt/gnupg/gnupg-2.2.9.ebuild
  64. 2
      app-crypt/heimdal/heimdal-7.5.0.ebuild
  65. 1
      app-crypt/libsecret/Manifest
  66. 67
      app-crypt/libsecret/libsecret-0.18.5.ebuild
  67. 2
      app-crypt/libsecret/libsecret-0.18.6-r1.ebuild
  68. 2
      app-crypt/libsecret/libsecret-0.18.6.ebuild
  69. 2
      app-crypt/mit-krb5/mit-krb5-1.16-r2.ebuild
  70. 1
      app-crypt/nitrokey-app/Manifest
  71. 45
      app-crypt/nitrokey-app/nitrokey-app-1.3.1.ebuild
  72. BIN
      app-doc/Manifest.gz
  73. 2
      app-doc/doxygen/doxygen-1.8.14-r1.ebuild
  74. BIN
      app-editors/Manifest.gz
  75. 2
      app-editors/mg/mg-20180408.ebuild
  76. 2
      app-editors/okteta/Manifest
  77. 0
      app-editors/okteta/okteta-0.25.1.ebuild
  78. BIN
      app-emulation/Manifest.gz
  79. 469
      app-emulation/virtualbox/virtualbox-5.2.14-r1.ebuild
  80. 468
      app-emulation/virtualbox/virtualbox-5.2.14.ebuild
  81. 6
      app-emulation/wine-any/Manifest
  82. 1
      app-emulation/wine-any/metadata.xml
  83. 640
      app-emulation/wine-any/wine-any-3.12.ebuild
  84. 639
      app-emulation/wine-any/wine-any-3.9.ebuild
  85. 5
      app-emulation/wine-any/wine-any-9999.ebuild
  86. 4
      app-emulation/wine-d3d9/Manifest
  87. 0
      app-emulation/wine-d3d9/wine-d3d9-3.12.ebuild
  88. 4
      app-emulation/wine-staging/Manifest
  89. 1
      app-emulation/wine-staging/metadata.xml
  90. 611
      app-emulation/wine-staging/wine-staging-3.12.ebuild
  91. 610
      app-emulation/wine-staging/wine-staging-3.9.ebuild
  92. 5
      app-emulation/wine-staging/wine-staging-9999.ebuild
  93. 7
      app-emulation/wine-vanilla/Manifest
  94. 525
      app-emulation/wine-vanilla/wine-vanilla-2.0-r1.ebuild
  95. 525
      app-emulation/wine-vanilla/wine-vanilla-2.0.1-r1.ebuild
  96. 525
      app-emulation/wine-vanilla/wine-vanilla-2.0.2-r1.ebuild
  97. 521
      app-emulation/wine-vanilla/wine-vanilla-2.0.3.ebuild
  98. 521
      app-emulation/wine-vanilla/wine-vanilla-2.0.4.ebuild
  99. 0
      app-emulation/wine-vanilla/wine-vanilla-3.12.ebuild
  100. BIN
      app-forensics/Manifest.gz

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

2
app-admin/apache-tools/Manifest

@ -1,4 +1,4 @@
DIST httpd-2.2.34.tar.bz2 5779739 BLAKE2B 8cdd41fb5d1880da4a1cfef252b4682f613b938594057ea4c9665d3881a50b298fb7339c1ceb3dafc215aa927048f99d500f2d29c125016d5766954be9b632b4 SHA512 e6dac5865a48533c025fe17523ee74d68c3a23f9512c9441b78a140e33cfb6835573eb049b0ad424eb5c5ca78a1915778c54e8a409da95fbdd3890cb99e08240
DIST httpd-2.4.27.tar.bz2 6527394 BLAKE2B 50a650eb2edd121dac860ff555273290010d7e85bf4d5fbe3683f82e1928dde99ebfabc42186436f5052a66555a73d8b797b114c76c123faa31b9f51575d0bbb SHA512 7e7e8070715b74cb6890096a74e194f4c6a49c14bda685b1ad832e84312f1ac4316ea03a430e679502bfd8e1853aefa544ee002a20d0f7e994b9a590c74bc42c
DIST httpd-2.4.29.tar.bz2 6567926 BLAKE2B 01a83212941abad548f73fc144f9731ff51e0ed8f975e76cb994247601f7c2f89a3f862e011638afb77988eda0ef2b543634fb6bc45b583e9bdba2c30e565731 SHA512 840982fd3d21463bc5c1747f211dfacf3abdf634d149e49bb49fd2e5deda140de602dbdf31e1bbe5337a48f718ab2261c408e83a8dd39a9291ee7b6b7a85639a
DIST httpd-2.4.33.tar.bz2 6934765 BLAKE2B 4ff266b85358e3100c8064c84c89db0235e6f46bb4b308e6b3bf642a9c0815eb6a731ee12e3d8ea2bf31a5d5e6621152452f1e8a9625755689f552f2473b1955 SHA512 e74b2b3346d67be45a8bc8a7cbb8eabf5c403a5cfe5797a976f94a539529843fbcdf03b9ca0548816b2cf37f4ce0eb301f8d5af25b1270fdf8dd9f5bf0585269
DIST httpd-2.4.34.tar.bz2 6942969 BLAKE2B 02ecb9980f48bef7ac915077598560353e0682001bdaa99410b7faad459c4581f8d0878b4840e38e570b1872d549d58743260cb3030c145ae93bef97fc692cc4 SHA512 2bc09213f08a4722e305929fbac5f5060c7a8444704494894bb9b61f17e4d20bb6e3d663bb93fc5b2030b04a43fb12373d260cc291422b210b299725aaf3b5c8

106
app-admin/apache-tools/apache-tools-2.4.29.ebuild

@ -1,106 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit flag-o-matic eutils multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ~ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
IUSE="libressl ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1
dev-libs/apr-util:1
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
sys-devel/libtool"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
# Instead of filtering --as-needed (bug #128505), append --no-as-needed
#append-ldflags $(no-as-needed)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG=${PKG_CONFIG} \
econf \
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules \
--sbindir="${EPREFIX}"/usr/sbin \
--with-perl="${EPREFIX}"/usr/bin/perl \
--with-expat="${EPREFIX}"/usr \
--with-z="${EPREFIX}"/usr \
--with-apr="${SYSROOT}${EPREFIX}"/usr \
--with-apr-util="${SYSROOT}${EPREFIX}"/usr \
--with-pcre="${T}"/pcre-config \
$(use_enable ssl) \
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

105
app-admin/apache-tools/apache-tools-2.4.34.ebuild

@ -0,0 +1,105 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic eutils multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
IUSE="libressl ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
sys-devel/libtool"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG=${PKG_CONFIG} \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED%/}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

3
app-admin/consul/Manifest

@ -1,4 +1,3 @@
DIST consul-0.9.3.tar.gz 7278357 BLAKE2B 041164951fe798f51bc79ef4cf322e3c37b583471d66f0d78b0a100b57ee367a5942ef07fc85adafeb6c014b5a6047dae10da42427600de25656614c235dab1a SHA512 a1c9cdd3e197afbf088bd1866af15c1864cb8d042dc65d2fcc0d9070b8bf2f9380cf2ceadaff6d5bba7ecd379d53f4b8191e1ae6832f1b2c82f21c62f07d8b0f
DIST consul-1.0.0.tar.gz 7354292 BLAKE2B f2e245cec5859e23dd55c991de5c4d68be8526ec7085273660271407d9f1898c803edbffaff3cd4f0d5de114b9d8b2cd205e03002d5685b77f831957b021140c SHA512 8223f79aa1b7bfc5693168b56fbe9a506ca504771c92328afeb99e78dce8699c7532582749a372dfed10dd4b7c440ace0dd248f1ae27247059da3e2f88293a88
DIST consul-1.0.6.tar.gz 8211299 BLAKE2B 7ea5df497f4796e572a86127e0854935f97439504aff82fb697f33700e9d138048772f32f171dbbe4f1fb4d1ceefa7ca96cf3dce2a22cdffd4e1906f6befa55b SHA512 c55f09272859b828816ddf548952769172331c22be8a70a7f73ab9362744fb1f4bc5fdf81955a0dbc4101584cf3660f182620dcdc56bcf94b42dce644be232a8
DIST consul-1.2.0.tar.gz 17187054 BLAKE2B 5e8d1151efe1e8ad5932886367d0012774713081aa2725f10d45af1e05751e328d76471ff3cbd85031c252c65cde0137f96c3ef86eca7e3e7f6b28e2d20ed0d5 SHA512 1c018a5f35164a899a086ccdae94cb5e6e2a490e4c788d65b0026dbf448950d0c1038b2d61cb10f5e8c9ad22a1affad64dd4a7086b59dffd115d40aa7b3d0cce
DIST consul-1.2.1.tar.gz 14819500 BLAKE2B debb7ee5b8016527de0ebc680b228a9749435db4364e8d6e0160b1a20e2896dd4109edc5930dad961ce18f79182dda0c00a52a567ea6ff2d267b17448df2129d SHA512 5b5d8b62056c305f7388db50b54427ed21c41fef6d1b5f67da845a66bece35454e9f538bb0df59bc86788826b6cd20cd6179552060482908fc5cbc4a048c14a8

68
app-admin/consul/consul-0.9.3.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-vcs-snapshot systemd user
KEYWORDS="~amd64"
EGO_PN="github.com/hashicorp/consul"
DESCRIPTION="A tool for service discovery, monitoring and configuration"
HOMEPAGE="https://www.consul.io"
SRC_URI="https://github.com/hashicorp/consul/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="0"
LICENSE="MPL-2.0"
IUSE=""
RESTRICT="test"
DEPEND="dev-go/gox
>=dev-lang/go-1.9:=
>=dev-go/go-tools-0_pre20160121"
RDEPEND=""
pkg_setup() {
enewgroup consul
enewuser consul -1 -1 /var/lib/${PN} consul
}
src_prepare() {
default
sed -e 's:^\(GIT_DESCRIBE=\).*:\1v'${PV}':' \
-e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e 's:go get -u -v $(GOTOOLS)::' \
-e 's:vendorfmt dev-build:dev-build:' \
-i "${S}/src/${EGO_PN}/GNUmakefile" || die
}
src_compile() {
# The dev target sets causes build.sh to set appropriate XC_OS
# and XC_ARCH, and skips generation of an unused zip file,
# avoiding a dependency on app-arch/zip.
GOPATH="${S}" GOBIN="${S}/bin" \
emake -C "${S}/src/${EGO_PN}" dev
}
src_install() {
local x
dobin "${S}/bin/${PN}"
keepdir /etc/consul.d
insinto /etc/consul.d
doins "${FILESDIR}/"*.json.example
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners consul:consul "${x}"
done
newinitd "${FILESDIR}/consul.initd" "${PN}"
newconfd "${FILESDIR}/consul.confd" "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
systemd_dounit "${FILESDIR}/consul.service"
}

68
app-admin/consul/consul-1.0.0.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-vcs-snapshot systemd user
KEYWORDS="~amd64"
EGO_PN="github.com/hashicorp/consul"
DESCRIPTION="A tool for service discovery, monitoring and configuration"
HOMEPAGE="https://www.consul.io"
SRC_URI="https://github.com/hashicorp/consul/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="0"
LICENSE="MPL-2.0"
IUSE=""
RESTRICT="test"
DEPEND="dev-go/gox
>=dev-lang/go-1.9:=
>=dev-go/go-tools-0_pre20160121"
RDEPEND=""
pkg_setup() {
enewgroup consul
enewuser consul -1 -1 /var/lib/${PN} consul
}
src_prepare() {
default
sed -e 's:^\(GIT_DESCRIBE=\).*:\1v'${PV}':' \
-e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e 's:go get -u -v $(GOTOOLS)::' \
-e 's:vendorfmt dev-build:dev-build:' \
-i "${S}/src/${EGO_PN}/GNUmakefile" || die
}
src_compile() {
# The dev target sets causes build.sh to set appropriate XC_OS
# and XC_ARCH, and skips generation of an unused zip file,
# avoiding a dependency on app-arch/zip.
GOPATH="${S}" GOBIN="${S}/bin" \
emake -C "${S}/src/${EGO_PN}" dev
}
src_install() {
local x
dobin "${S}/bin/${PN}"
keepdir /etc/consul.d
insinto /etc/consul.d
doins "${FILESDIR}/"*.json.example
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners consul:consul "${x}"
done
newinitd "${FILESDIR}/consul.initd" "${PN}"
newconfd "${FILESDIR}/consul.confd" "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
systemd_dounit "${FILESDIR}/consul.service"
}

69
app-admin/consul/consul-1.2.1.ebuild

@ -0,0 +1,69 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-vcs-snapshot systemd user
GIT_COMMIT="39f3f0"
KEYWORDS="~amd64"
EGO_PN="github.com/hashicorp/consul"
DESCRIPTION="A tool for service discovery, monitoring and configuration"
HOMEPAGE="https://www.consul.io"
SRC_URI="https://github.com/hashicorp/consul/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="0"
LICENSE="MPL-2.0"
IUSE=""
RESTRICT="test"
DEPEND="dev-go/gox
>=dev-lang/go-1.9:=
>=dev-go/go-tools-0_pre20160121"
RDEPEND=""
pkg_setup() {
enewgroup consul
enewuser consul -1 -1 /var/lib/${PN} consul
}
src_prepare() {
default
sed -e 's:go get -u -v $(GOTOOLS)::' \
-e 's:vendorfmt dev-build:dev-build:' \
-i "src/${EGO_PN}/GNUmakefile" || die
}
src_compile() {
# The dev target sets causes build.sh to set appropriate XC_OS
# and XC_ARCH, and skips generation of an unused zip file,
# avoiding a dependency on app-arch/zip.
GOPATH="${S}" \
GOBIN="${S}/bin" \
GIT_DESCRIBE="v${PV}" \
GIT_DIRTY="" \
GIT_COMMIT="${GIT_COMMIT}" \
emake -C "src/${EGO_PN}" dev-build
}
src_install() {
local x
dobin bin/consul
keepdir /etc/consul.d
insinto /etc/consul.d
doins "${FILESDIR}/"*.json.example
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners consul:consul "${x}"
done
newinitd "${FILESDIR}/consul.initd" "${PN}"
newconfd "${FILESDIR}/consul.confd" "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
systemd_dounit "${FILESDIR}/consul.service"
}

2
app-admin/gam-server/gam-server-0.1.10-r2.ebuild

@ -15,7 +15,7 @@ SRC_URI="${SRC_URI}
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-solaris"
IUSE="debug kernel_linux"
RDEPEND=">=dev-libs/glib-2:2

2
app-admin/gamin/gamin-0.1.10-r1.ebuild

@ -11,7 +11,7 @@ SRC_URI=""
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="!app-admin/fam

3
app-admin/logstash-bin/Manifest

@ -1,2 +1,3 @@
DIST logstash-5.6.9.zip 108563466 BLAKE2B 9225b823ac1f746481b34894c181aedabb0e69eb4242527271240448504f46aa68ba72f63e3752a6a13c3d567bca89df272a09cacc62739a526e3cb24ca90072 SHA512 f5506b2f2bb2da4b2a8d7b199cc328de6625f623b9498f4f2e5505aa8b4082efa207a06d1df8af7b7c21c400268e51d7ae8b9200afdaa191b8e8644e033a9b6b
DIST logstash-5.6.10.tar.gz 104373711 BLAKE2B 759bf003e1799aeaef0a1279b3c7cf5732126ae65e9ca0a3e315cb6f7a1b4e4417fad1fd86328a58be99e04e8053264d873b04cf43cac2b49490bbdc82c8e8b7 SHA512 9ba887da982755efd21b363e9c084660c9b7e6c042e00a8c599f60d6bba5621af7ede43957f6c3d976888f4c13e6ae17cc69afd184f2dcdd41a311972f59a745
DIST logstash-6.2.4.zip 153969993 BLAKE2B 989f631484be14014b8230e09fa049a0e470078fed938f2df55134a27d5f4f2d8670187126d32c4933b77b496a6ed96e12d180922c2c318c67fb3dbeec5a5a3b SHA512 65f6e5accc4441cb930e5c45723edeea54ba034a25680ca34114296af5a2c456d4152f9b38469475e600fce27a27b0d9c1d206039d12f2ec9cfeb02942a5c189
DIST logstash-oss-6.3.1.tar.gz 143787612 BLAKE2B 2de3b991d27019b1c7df7cfa7152c009f2569e12562106babb56081be2a7ac7d94a967e7c52b58f721c2f70f1e8ec9c2730653ff094cf0dd3a9933486ac13be7 SHA512 959d9d5985e117d23ae12efe248a13ae33f8f3ede320fb3b6872e1c27738b601779f0e2402e7be4a2383cd0f220e50cdfd2d6b160d7f5805b2439cee4d8bd94c

37
app-admin/logstash-bin/files/logstash.confd-r2

@ -0,0 +1,37 @@
###############################
# Default settings for logstash
###############################
# Set a home directory
#LS_HOME=/var/lib/logstash
# Set data directory
#LS_DATA_DIR=${LS_HOME}/data
# Arguments to pass to logstash agent
#LS_OPTS=""
# Arguments to pass to java
#LS_HEAP_SIZE="500m"
#LS_JAVA_OPTS="-Djava.io.tmpdir=$HOME"
# user id to be invoked as
#LS_USER=logstash
#LS_GROUP=logstash
# logstash logging
#LS_LOG_DIR=/var/log/logstash
#LS_USE_GC_LOGGING="true"
# logstash settings directory
#LS_SETTINGS_DIR=/etc/logstash
# Open file limit
#LS_OPEN_FILES=16384
# Nice level
#LS_NICE=19
# If this is set to 1, then when `stop` is called, if the process has
# not exited within a reasonable time, SIGKILL will be sent next.
KILL_ON_STOP_TIMEOUT=0

69
app-admin/logstash-bin/files/logstash.initd-r2

@ -0,0 +1,69 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
LS_USER=${LS_USER:-logstash}
LS_GROUP=${LS_GROUP:-$LS_USER}
LS_LOG_DIR=${LS_LOG_DIR:-/var/log/logstash}
LS_SETTINGS_DIR=${LS_SETTINGS_DIR:-/etc/logstash}
LS_HOME=${LS_HOME:-/var/lib/logstash}
LS_DATA_DIR=${LS_DATA_DIR:-$LS_HOME/data}
LS_HEAP_SIZE=${LS_HEAP_SIZE:-500m}
LS_NICE=${LS_NICE:-19}
LS_JAVA_OPTS=${LS_JAVA_OPTS:-"-Djava.io.tmpdir=${LS_HOME}"}
LS_USE_GC_LOGGING=${LS_USE_GC_LOGGING:-false}
LS_OPEN_FILES=${LS_OPEN_FILES:-16384}
KILL_ON_STOP_TIMEOUT=${KILL_ON_STOP_TIMEOUT:-0}
LS_INSTALL_DIR="/opt/logstash"
command="${LS_INSTALL_DIR}/bin/logstash"
command_args="--path.data ${LS_DATA_DIR} --path.logs ${LS_LOG_DIR} --path.settings ${LS_SETTINGS_DIR} ${LS_OPTS}"
command_background="true"
pidfile="/run/${RC_SVCNAME}.pid"
start_stop_daemon_args="--user ${LS_USER}:${LS_GROUP} \
--chdir ${LS_HOME}
--nicelevel ${LS_NICE}
--env LS_HEAP_SIZE=${LS_HEAP_SIZE}
--env LS_JAVA_OPTS=${LS_JAVA_OPTS}
--env LS_USE_GC_LOGGING=${LS_USE_GC_LOGGING}"
extra_commands="checkconfig"
extra_started_commands="reload"
checkconfig() {
ebegin "Checking your configuration"
${command} ${command_args} --path.logs "${LS_LOG_DIR}/configcheck" --config.test_and_exit
eend $? "Configuration error. Please fix your configuration files."
}
reload() {
checkconfig || return 1
ebegin "Reloading configuration"
start-stop-daemon --signal HUP --pidfile "${pidfile}"
eend $?
}
start_pre() {
checkconfig || return 1
rc_ulimit="-n ${LS_OPEN_FILES}"
local d
for d in "${LS_HOME}" "${LS_DATA_DIR}" "${LS_DATA_DIR}/queue" "${LS_DATA_DIR}/dead_letter_queue" "${LS_LOG_DIR}"; do
checkpath -d -o "${LS_USER}":"${LS_GROUP}" -m750 "$d"
done
}
stop() {
ebegin "Stopping logstash"
if [ "${KILL_ON_STOP_TIMEOUT}" = "1" ]; then
start-stop-daemon --stop \
--pidfile=${pidfile} \
--retry=TERM/5/KILL/5
else
start-stop-daemon --stop \
--pidfile=${pidfile}
fi
}

6
app-admin/logstash-bin/files/pipelines.yml

@ -0,0 +1,6 @@
# This file is where you define your pipelines. You can define multiple.
# For more information on multiple pipelines, see the documentation:
# https://www.elastic.co/guide/en/logstash/current/multiple-pipelines.html
- pipeline.id: main
path.config: "/etc/logstash/conf.d/*.conf"

77
app-admin/logstash-bin/logstash-bin-5.6.10.ebuild

@ -0,0 +1,77 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2 user
MY_PN="${PN%-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tool for managing events and logs"
HOMEPAGE="https://www.elastic.co/products/logstash"
SRC_URI="https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}.tar.gz"
# source: LICENSE.txt and NOTICE.txt
LICENSE="Apache-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="strip"
QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
RDEPEND="virtual/jre:1.8"
S="${WORKDIR}/${MY_P}"
pkg_setup() {
enewgroup ${MY_PN}
enewuser ${MY_PN} -1 -1 /var/lib/${MY_PN} ${MY_PN}
}
src_install() {
keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
keepdir "/var/lib/${MY_PN}"
keepdir "/var/log/${MY_PN}"
insinto "/usr/share/${MY_PN}"
newins "${FILESDIR}/agent.conf.sample" agent.conf
rm -v config/startup.options || die
insinto /etc/${MY_PN}
doins -r config/.
rm -rv config data || die
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
newconfd "${FILESDIR}/${MY_PN}.confd-r1" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd-r1" "${MY_PN}"
insinto /usr/share/eselect/modules
doins "${FILESDIR}"/logstash-plugin.eselect
}
pkg_postinst() {
ewarn "The default pidfile directory has been changed from /run/logstash to /run."
ewarn "Please ensure any running logstash processes are shut down cleanly."
ewarn
ewarn "The default data directory has been moved from /opt/logstash/data to"
ewarn "/var/lib/logstash/data. Please check and move its contents as necessary."
ewarn
ewarn "Self installed plugins are removed during Logstash upgrades (Bug #622602)"
ewarn "Install the plugins via eselect module that will automatically re-install"
ewarn "all self installed plugins after Logstash upgrades."
elog
elog "Installing plugins:"
elog "eselect logstash-plugin install logstash-output-gelf"
elog
elog "Reinstalling self installed plugins (installed via eselect module):"
eselect logstash-plugin reinstall
elog
elog "Sample configuration:"
elog "${EROOT%/}/usr/share/${MY_PN}"
}

78
app-admin/logstash-bin/logstash-bin-5.6.9.ebuild

@ -1,78 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2 user
MY_PN="${PN%-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tool for managing events and logs"
HOMEPAGE="https://www.elastic.co/products/logstash"
SRC_URI="https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}.zip"
# source: LICENSE.txt and NOTICE.txt
LICENSE="Apache-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="strip"
QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre:1.8"
S="${WORKDIR}/${MY_P}"
pkg_setup() {
enewgroup ${MY_PN}
enewuser ${MY_PN} -1 -1 /var/lib/${MY_PN} ${MY_PN}
}
src_install() {
keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
keepdir "/var/lib/${MY_PN}"
keepdir "/var/log/${MY_PN}"
insinto "/usr/share/${MY_PN}"
newins "${FILESDIR}/agent.conf.sample" agent.conf
rm -v config/startup.options || die
insinto /etc/${MY_PN}
doins -r config/.
rm -rv config data || die
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
newconfd "${FILESDIR}/${MY_PN}.confd-r1" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd-r1" "${MY_PN}"
insinto /usr/share/eselect/modules
doins "${FILESDIR}"/logstash-plugin.eselect
}
pkg_postinst() {
ewarn "The default pidfile directory has been changed from /run/logstash to /run."
ewarn "Please ensure any running logstash processes are shut down cleanly."
ewarn
ewarn "The default data directory has been moved from /opt/logstash/data to"
ewarn "/var/lib/logstash/data. Please check and move its contents as necessary."
ewarn
ewarn "Self installed plugins are removed during Logstash upgrades (Bug #622602)"
ewarn "Install the plugins via eselect module that will automatically re-install"
ewarn "all self installed plugins after Logstash upgrades."
elog
elog "Installing plugins:"
elog "eselect logstash-plugin install logstash-output-gelf"
elog
elog "Reinstalling self installed plugins (installed via eselect module):"
eselect logstash-plugin reinstall
elog
elog "Sample configuration:"
elog "${EROOT%/}/usr/share/${MY_PN}"
}

75
app-admin/logstash-bin/logstash-bin-6.3.1.ebuild

@ -0,0 +1,75 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2 user
MY_PN="${PN%-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tool for managing events and logs"
HOMEPAGE="https://www.elastic.co/products/logstash"
SRC_URI="https://artifacts.elastic.co/downloads/${MY_PN}/${MY_PN}-oss-${PV}.tar.gz"
# source: LICENSE.txt and NOTICE.txt
LICENSE="Apache-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="strip"
QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
RDEPEND="virtual/jre:1.8"
S="${WORKDIR}/${MY_P}"
pkg_setup() {
enewgroup ${MY_PN}
enewuser ${MY_PN} -1 -1 /var/lib/${MY_PN} ${MY_PN}
}
src_install() {
keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
keepdir "/var/lib/${MY_PN}"
keepdir "/var/log/${MY_PN}"
insinto "/usr/share/${MY_PN}"
newins "${FILESDIR}/agent.conf.sample" agent.conf
rm -v config/{pipelines.yml,startup.options} || die
insinto /etc/${MY_PN}
doins -r config/.
doins "${FILESDIR}/pipelines.yml"
rm -rv config data || die
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
newconfd "${FILESDIR}/${MY_PN}.confd-r2" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd-r2" "${MY_PN}"
insinto /usr/share/eselect/modules
doins "${FILESDIR}"/logstash-plugin.eselect
}
pkg_postinst() {
ewarn "Self installed plugins are removed during Logstash upgrades (Bug #622602)"
ewarn "Install the plugins via eselect module that will automatically re-install"
ewarn "all self installed plugins after Logstash upgrades."
elog
elog "Installing plugins:"
elog "eselect logstash-plugin install logstash-output-gelf"
elog
elog "Reinstalling self installed plugins (installed via eselect module):"
eselect logstash-plugin reinstall
elog
elog "Sample configuration:"
elog "${EROOT%/}/usr/share/${MY_PN}"
elog
elog "The default pipeline configuration expects the configuration(s) to be found in:"
elog "${EROOT%/}/etc/logstash/conf.d/*.conf"
}

2
app-admin/puppet/puppet-5.5.2.ebuild

@ -3,7 +3,7 @@
EAPI="6"
USE_RUBY="ruby22 ruby23 ruby24"
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"

1
app-admin/rasdaemon/Manifest

@ -1,2 +1 @@
DIST rasdaemon-0.6.0.tar.bz2 361721 BLAKE2B af992c810024df4f553727b4aff4f4f1d41cb3f7e458ac91916ccbac6815b6ade697f0c49bf1e072205c7f872cfc9c2f7223fe0d3f090064ffaa0bab002d4f67 SHA512 cb363ee9968dab10951077edea6558adc235c2ba1a57294ccf2d483c49af3366bcec0a5857fe2b475a5407de850f706c44bfe4d8a80bcfb53b1c7e2d101ba72f
DIST rasdaemon-0.6.1.tar.bz2 363201 BLAKE2B bdc7ec3c2e7e4b2fee02dddc55b5afd82df64717f45da15dbfd5fee87721b80ac425af5806ee7462cad29c6ab2953a2e649c4b1e455983d8821a1f633d76c85d SHA512 a221a7ea0e4555befbf8acb9d4ce22d5cc7861a0da458111a24905fa06be0e8f3b18d8de5334310a423657febc0532d2705236de89cb1788302bf487ede29f60

46
app-admin/rasdaemon/rasdaemon-0.6.0-r1.ebuild

@ -1,46 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit linux-info systemd
DESCRIPTION="Reliability, Availability and Serviceability logging tool"
HOMEPAGE="http://www.infradead.org/~mchehab/rasdaemon/"
SRC_URI="http://www.infradead.org/~mchehab/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="
${DEPEND}
sys-devel/gettext
dev-db/sqlite
sys-apps/dmidecode
"
pkg_setup() {
linux-info_pkg_setup
local CONFIG_CHECK="FUNCTION_TRACER FUNCTION_GRAPH_TRACER STACK_TRACER DYNAMIC_FTRACE"
check_extra_config
}
src_configure() {
econf --enable-abrt-report \
--enable-aer \
--enable-arm \
--enable-extlog \
--enable-hisi-ns-decode \
--enable-mce \
--enable-non-standard \
--enable-sqlite3 \
--localstatedir=/var
}
src_install() {
default
systemd_dounit misc/*.service
}

39
app-admin/rasdaemon/rasdaemon-0.6.0.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit systemd
DESCRIPTION="Reliability, Availability and Serviceability logging tool"
HOMEPAGE="http://www.infradead.org/~mchehab/rasdaemon/"
SRC_URI="http://www.infradead.org/~mchehab/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="
${DEPEND}
sys-devel/gettext
dev-db/sqlite
sys-apps/dmidecode
"
src_configure() {
econf --enable-mce \
--enable-aer \
--enable-sqlite3 \
--enable-extlog \
--enable-abrt-report \
--enable-non-standard \
--enable-hisi-ns-decode \
--enable-arm
}
src_install() {
default
systemd_dounit misc/*.service
}

47
app-admin/rasdaemon/rasdaemon-0.6.1-r1.ebuild

@ -0,0 +1,47 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit linux-info systemd
DESCRIPTION="Reliability, Availability and Serviceability logging tool"
HOMEPAGE="http://www.infradead.org/~mchehab/rasdaemon/"
SRC_URI="http://www.infradead.org/~mchehab/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="
${DEPEND}
sys-devel/gettext
dev-db/sqlite
sys-apps/dmidecode
dev-perl/DBD-SQLite
"
pkg_setup() {
linux-info_pkg_setup
local CONFIG_CHECK="~FUNCTION_TRACER ~FUNCTION_GRAPH_TRACER ~STACK_TRACER ~DYNAMIC_FTRACE"
check_extra_config
}
src_configure() {
econf --enable-abrt-report \
--enable-aer \
--enable-arm \
--enable-extlog \
--enable-hisi-ns-decode \
--enable-mce \
--enable-non-standard \
--enable-sqlite3 \
--localstatedir=/var
}
src_install() {
default
systemd_dounit misc/*.service
}

46
app-admin/rasdaemon/rasdaemon-0.6.1.ebuild

@ -1,46 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit linux-info systemd
DESCRIPTION="Reliability, Availability and Serviceability logging tool"
HOMEPAGE="http://www.infradead.org/~mchehab/rasdaemon/"
SRC_URI="http://www.infradead.org/~mchehab/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="
${DEPEND}
sys-devel/gettext
dev-db/sqlite
sys-apps/dmidecode
"
pkg_setup() {
linux-info_pkg_setup
local CONFIG_CHECK="~FUNCTION_TRACER ~FUNCTION_GRAPH_TRACER ~STACK_TRACER ~DYNAMIC_FTRACE"
check_extra_config
}
src_configure() {
econf --enable-abrt-report \
--enable-aer \
--enable-arm \
--enable-extlog \
--enable-hisi-ns-decode \
--enable-mce \
--enable-non-standard \
--enable-sqlite3 \
--localstatedir=/var
}
src_install() {
default
systemd_dounit misc/*.service
}

45
app-admin/rsyslog/files/8-stable/rsyslog-r1.logrotate

@ -0,0 +1,45 @@
# Uncomment the following directive if you have re-enabled
# "/var/log/syslog" in "/etc/rsyslog.d/50-default.conf"
#/var/log/syslog
#{
# rotate 7
# daily
# missingok
# notifempty
# delaycompress
# compress
# postrotate
# if type -p systemctl 2>&1 1>/dev/null && systemctl is-system-running 2>&1 1>/dev/null ; then
# systemctl kill -s HUP rsyslog.service
# else
# test -r /run/rsyslogd.pid && kill -HUP $(cat /run/rsyslogd.pid) 2>&1 1>/dev/null
# fi
# endscript
#}
/var/log/auth.log
/var/log/cron.log
/var/log/daemon.log
/var/log/kern.log
/var/log/lpr.log
/var/log/mail.log
/var/log/news.log
/var/log/user.log
/var/log/debug.log
/var/log/messages
{
rotate 4
weekly
missingok
notifempty
compress
delaycompress
sharedscripts
postrotate
if type -p systemctl 2>&1 1>/dev/null && systemctl is-system-running 2>&1 1>/dev/null ; then
systemctl kill -s HUP rsyslog.service
else
test -r /run/rsyslogd.pid && kill -HUP $(cat /run/rsyslogd.pid) 2>&1 1>/dev/null
fi
endscript
}

467
app-admin/rsyslog/rsyslog-8.35.0-r1.ebuild

@ -0,0 +1,467 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit autotools eutils linux-info python-any-r1 systemd
DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"
BRANCH="8-stable"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"
DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"
inherit git-r3
else
MY_PV=${PV%_rc*}
MY_FILENAME="${PN}-${PV}.tar.gz"
MY_FILENAME_DOCS="${PN}-docs-${PV}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
# Upstream URL schema:
# RC: https://www.rsyslog.com/files/download/rsyslog/rc/rsyslog-8.18.0.tar.gz
# https://www.rsyslog.com/files/download/rsyslog/rc2/rsyslog-8.18.0.tar.gz
# Release: https://www.rsyslog.com/files/download/rsyslog/rsyslog-8.18.0.tar.gz
MY_URL_PREFIX=
if [[ ${PV} = *_rc* ]]; then
_tmp_last_index=$(($(get_last_version_component_index ${PV})+1))
_tmp_suffix=$(get_version_component_range ${_tmp_last_index} ${PV})
if [[ ${_tmp_suffix} = *rc* ]]; then
MY_URL_PREFIX="${_tmp_suffix}/"
fi
# Cleaning up temporary variables
unset _tmp_last_index
unset _tmp_suffix
else
KEYWORDS="amd64 ~arm ~arm64 ~hppa x86"
fi
SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${MY_URL_PREFIX}${PN}-${MY_PV}.tar.gz -> ${MY_FILENAME}
doc? ( https://www.rsyslog.com/files/download/${PN}/${MY_URL_PREFIX}${PN}-doc-${MY_PV}.tar.gz -> ${MY_FILENAME_DOCS} )
"
PATCHES=(
"${FILESDIR}"/${BRANCH}/${PN}-8.35.0-fix-issue2719.patch
"${FILESDIR}"/${BRANCH}/${PN}-8.35.0-fix-issue2726.patch
)
fi
LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="curl dbi debug doc elasticsearch +gcrypt grok jemalloc kafka kerberos kubernetes libressl mdblookup mongodb mysql"
IUSE+=" normalize omhttpfs omudpspoof postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp ssl systemd test usertools +uuid zeromq"
RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=dev-libs/liblogging-1.0.1:=[stdlog]
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
grok? ( >=dev-libs/grok-0.9.2 )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( virtual/libmysqlclient:= )
normalize? (
>=dev-libs/libee-0.4.0
>=dev-libs/liblognorm-2.0.3:=
)
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.14:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? ( >=net-libs/gnutls-2.12.23:0= )
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
zeromq? (
>=net-libs/czmq-3.0.2
)"
DEPEND="${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"
REQUIRED_USE="kubernetes? ( normalize )"
if [[ ${PV} == "9999" ]]; then
DEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
DEPEND+=" >=sys-devel/flex-2.5.39-r1"
DEPEND+=" >=sys-devel/bison-2.4.3"
DEPEND+=" >=dev-python/docutils-0.12"
fi
CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"
pkg_setup() {
use test && python-any-r1_pkg_setup
}
src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi
if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi
git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs
if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${MY_FILENAME_DOCS}
fi
fi
}
src_prepare() {
default
eautoreconf
}
src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.
if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi
local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
$(use_enable test testbench)
$(use_enable curl libcurl)
# Input Plugins without depedencies
--enable-imdiag
--enable-imfile
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without depedencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmlastmsg
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug memcheck)
$(use_enable debug rtinst)
$(use_enable debug valgrind)
# Misc
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable grok mmgrok)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable ssl gnutls)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)
econf "${myeconfargs[@]}"
}
src_compile() {
default
if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}
src_test() {
local _has_increased_ulimit=
# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"
if ulimit -n 3072; then
_has_increased_ulimit="true"
fi
if ! emake --jobs 1 check; then
eerror "Test suite failed! :("
if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi
if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi
fi
}
src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/${BRANCH}/README.gentoo
)
use doc && local HTML_DOCS=( "${S}/docs/build/." )
default
newconfd "${FILESDIR}/${BRANCH}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${BRANCH}/${PN}.initd-r1" ${PN}
keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d
insinto /etc
newins "${FILESDIR}/${BRANCH}/${PN}.conf" ${PN}.conf
insinto /etc/rsyslog.d/
newins "${FILESDIR}/${BRANCH}/50-default-r1.conf" 50-default.conf
insinto /etc/logrotate.d/
newins "${FILESDIR}/${BRANCH}/${PN}-r1.logrotate" ${PN}
if use mysql; then
insinto /usr/share/doc/${PF}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi
if use postgres; then
insinto /usr/share/doc/${PF}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi
prune_libtool_files --modules
}
pkg_postinst() {
local advertise_readme=0
if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation
advertise_readme=1
if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi
if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi
if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location
echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}
pkg_config() {
if ! use ssl ; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi
# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"
# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF
certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN
einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF
certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi
# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN
einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF
certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
rm -f "${T}/${PF}.$$"
echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

467
app-admin/rsyslog/rsyslog-8.35.0.ebuild

@ -1,467 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit autotools eutils linux-info python-any-r1 systemd
DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"
BRANCH="8-stable"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"
DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"
inherit git-r3
else
MY_PV=${PV%_rc*}
MY_FILENAME="${PN}-${PV}.tar.gz"
MY_FILENAME_DOCS="${PN}-docs-${PV}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
# Upstream URL schema:
# RC: https://www.rsyslog.com/files/download/rsyslog/rc/rsyslog-8.18.0.tar.gz
# https://www.rsyslog.com/files/download/rsyslog/rc2/rsyslog-8.18.0.tar.gz
# Release: https://www.rsyslog.com/files/download/rsyslog/rsyslog-8.18.0.tar.gz
MY_URL_PREFIX=
if [[ ${PV} = *_rc* ]]; then
_tmp_last_index=$(($(get_last_version_component_index ${PV})+1))
_tmp_suffix=$(get_version_component_range ${_tmp_last_index} ${PV})
if [[ ${_tmp_suffix} = *rc* ]]; then
MY_URL_PREFIX="${_tmp_suffix}/"
fi
# Cleaning up temporary variables
unset _tmp_last_index
unset _tmp_suffix
else
KEYWORDS="amd64 ~arm ~arm64 ~hppa x86"
fi
SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${MY_URL_PREFIX}${PN}-${MY_PV}.tar.gz -> ${MY_FILENAME}
doc? ( https://www.rsyslog.com/files/download/${PN}/${MY_URL_PREFIX}${PN}-doc-${MY_PV}.tar.gz -> ${MY_FILENAME_DOCS} )
"
PATCHES=(
"${FILESDIR}"/${BRANCH}/${PN}-8.35.0-fix-issue2719.patch
"${FILESDIR}"/${BRANCH}/${PN}-8.35.0-fix-issue2726.patch
)
fi
LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="curl dbi debug doc elasticsearch +gcrypt grok jemalloc kafka kerberos kubernetes libressl mdblookup mongodb mysql"
IUSE+=" normalize omhttpfs omudpspoof postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp ssl systemd test usertools +uuid zeromq"
RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=dev-libs/liblogging-1.0.1:=[stdlog]
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
grok? ( >=dev-libs/grok-0.9.2 )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( virtual/libmysqlclient:= )
normalize? (
>=dev-libs/libee-0.4.0
>=dev-libs/liblognorm-2.0.3:=
)
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.14:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? ( >=net-libs/gnutls-2.12.23:0= )
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
zeromq? (
>=net-libs/czmq-3.0.2
)"
DEPEND="${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"
REQUIRED_USE=